Invitations
Accept Invitation
Accept an invitation and create a user account.
Validates the invitation token, creates a user account with the provided password, and returns authentication tokens.
Flow:
- Validate token exists
- Validate token not expired
- Validate token not already accepted
- Validate password strength
- Create user account
- Mark invitation as accepted
- Generate JWT tokens
- Return auth response
POST
/
api
/
v1
/
invitations
/
{token}
/
accept
Accept Invitation
curl --request POST \
--url https://api.example.com/api/v1/invitations/{token}/accept \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/invitations/{token}/accept"
payload = { "password": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({password: '<string>'})
};
fetch('https://api.example.com/api/v1/invitations/{token}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>",
"refresh_token": "<string>",
"expires_in": 123,
"account": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"user": {
"id": "<string>",
"email": "<string>",
"role": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Body
application/json
Request schema for accepting an invitation.
Password for the new user account
Minimum string length:
8Response
Successful Response
Response for successful authentication (login).
⌘I
Accept Invitation
